#813 closed defect (fixed)

ne2000 interrupt handler is broken

Reported by: lars Owned by: Eric Norum
Priority: highest Milestone: 2
Component: network/legacy Version: unknown
Severity: critical Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The ne2000 driver on pc386 has been broken since "Added parameter to irq handler" was implemented (2005-04-18). Before these changes the argument to the interrupt handler was the interrupt number, now the argument is "handle", but the ne2000 driver needs the interrupt number. The fix is to set the "handle" to the interrupt number. Please apply the attached patch.

Best regards
Lars Munch

Release:
CVS HEAD

Environment:
pc386 using the ne2000 driver

Attachments (1)

ne2000_interrupt_argument_fix.patch (646 bytes) - added by lars on Dec 3, 2006 at 1:31:12 PM.
ne2000_interrupt_argument_fix.patch

Download all attachments as: .zip

Change History (2)

comment:1 Changed on Jul 18, 2005 at 1:35:02 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied. Thanks.

Changed on Dec 3, 2006 at 1:31:12 PM by lars

ne2000_interrupt_argument_fix.patch

Note: See TracTickets for help on using tickets.